it.csi.mddtools.guigen

## Interface ApplicationDataDefs

- All Superinterfaces:
    org.eclipse.emf.ecore.EObject, org.eclipse.emf.common.notify.Notifier

      public interface ApplicationDataDefs
      extends org.eclipse.emf.ecore.EObject

  A representation of the model object 'Application Data Defs'. Insieme delle definizioni di application data utilizzati nell'applicativo

  The following features are supported:

  - `App Data`
  - `Groups`
  - `Ext Groups`
  See Also:
    `GuigenPackage.getApplicationDataDefs()`

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `org.eclipse.emf.common.util.EList<ApplicationData>` | `getAppData()` Returns the value of the 'App Data' containment reference list.
    `org.eclipse.emf.common.util.EList<AppDataGroup>` | `getExtGroups()` Returns the value of the 'Ext Groups' reference list.
    `org.eclipse.emf.common.util.EList<AppDataGroup>` | `getGroups()` Returns the value of the 'Groups' containment reference list.

    - ### Methods inherited from interface org.eclipse.emf.ecore.EObject

      `eAllContents, eClass, eContainer, eContainingFeature, eContainmentFeature, eContents, eCrossReferences, eGet, eGet, eInvoke, eIsProxy, eIsSet, eResource, eSet, eUnset`

    - ### Methods inherited from interface org.eclipse.emf.common.notify.Notifier

      `eAdapters, eDeliver, eNotify, eSetDeliver`

- - ### Method Detail

    - #### getAppData

          org.eclipse.emf.common.util.EList<ApplicationData> getAppData()

      Returns the value of the 'App Data' containment reference list. The list contents are of type `ApplicationData`.

      If the meaning of the 'App Data' containment reference list isn't clear, there really should be more of a description here...

      DEPRECATO: utilizzare application data definiti all'interno di AppDataGroup mantenuti esternamente e referenziati in extGroups
      Returns:
        the value of the 'App Data' containment reference list.
      See Also:
        `GuigenPackage.getApplicationDataDefs_AppData()`

    - #### getGroups

          org.eclipse.emf.common.util.EList<AppDataGroup> getGroups()

      Returns the value of the 'Groups' containment reference list. The list contents are of type `AppDataGroup`.

      If the meaning of the 'Groups' containment reference list isn't clear, there really should be more of a description here...

      DEPRECATO: utilizzare extGroups
      Returns:
        the value of the 'Groups' containment reference list.
      See Also:
        `GuigenPackage.getApplicationDataDefs_Groups()`

    - #### getExtGroups

          org.eclipse.emf.common.util.EList<AppDataGroup> getExtGroups()

      Returns the value of the 'Ext Groups' reference list. The list contents are of type `AppDataGroup`.

      If the meaning of the 'Ext Groups' reference list isn't clear, there really should be more of a description here...

      referenzia gli AppDataGroup definiti esternamente e utilizzati nell'applicazione.
      Returns:
        the value of the 'Ext Groups' reference list.
      See Also:
        `GuigenPackage.getApplicationDataDefs_ExtGroups()`